### Method

# Foundry BuildAddin dup_pipeline

#### Declaration [src]

    FoundryBuildPipeline*
    foundry_build_addin_dup_pipeline (
      FoundryBuildAddin* self
    )

#### Description [src]

Gets the pipeline for which the addin belongs.

#### Return value

Type: `FoundryBuildPipeline`

A [class@Foundry.BuildPipeline or `NULL` if the pipeline has been destroyed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.